#version 130

/* Texture coordinate: s, t */
in vec2 texture_coord_v;

/* Texture unit */
uniform sampler2D texture;
uniform vec4 color;

out vec4 frag_color;

void main(void)
{
    frag_color = vec4(1, 1, 1, texture2D(texture, texture_coord_v).a) * color;
}
